Content Management Partners API
Introduction
A partner represents a linked account (supplier or retailer) with which you can exchange data in Product-Live. Partners are the organizations in your network that you collaborate with for data publication, collection, and synchronization.
The Partners API Swagger definition is available on our Product-Live API portal here.
General information
- Rate limit: 50 requests per minute
Get Partner by id
Request URL
Path parameters
| Parameter | Type | Description |
|---|---|---|
| partnerId | string | A partner id |
Request parameters
None
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partners/5123' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response Example
json
{
"object": "partner",
"id": "5123",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"status": "ENABLED",
"accountId": "4205"
}1
2
3
4
5
6
7
8
2
3
4
5
6
7
8
List Partners
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
None
Request Example
bash
curl -X 'GET' \
'https://api.product-live.com/v1/partners?size=10&page=0' \
-H 'accept: application/json' \
-H 'X-Api-Key: <REDACTED>'1
2
3
4
2
3
4
Response example
json
{
"object": "list",
"data": [
{
"object": "partner",
"id": "5123",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"status": "ENABLED",
"accountId": "4205"
},
{
"object": "partner",
"id": "5124",
"createdAt": "2024-02-20T08:15:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"status": "ENABLED",
"accountId": "4206"
}
],
"totalElements": 2
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
Find Partners
Request URL
Path parameters
None
Request parameters
| Parameter | Type | Description |
|---|---|---|
| page | integer | Optional The page number to retrieve. Default value if missing : 0 |
| size | integer | Optional The number of items per page. Default value if missing : 10. Maximum : 1000 |
| sort | string | Optional The field to sort by |
| sortOrder | string | Optional The sort order: ASC or DESC |
Request headers
| Header | Type | Value |
|---|---|---|
| accept | string | application/json |
| X-Api-Key | string | Your account API key |
Request Body
See more details on the find request body in the dedicated page Find request.
Searchable fields
| Searchable field | Supported operator | Example |
|---|---|---|
| createdAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "createdAt","value": "2021-09-15T13:14:41.000Z"} |
| id | eq/in | {"type": "eq","field": "id","value": "5123"}{"type": "in","field": "id","value": ["5123"]} |
| status | eq/in | {"type": "eq","field": "status","value": "ENABLED"}{"type": "in","field": "status","value": ["ENABLED"]} |
| updatedAt | greater / greaterOrEqual / lower / lowerOrEqual | {"type": "greaterOrEqual","field": "updatedAt","value": "2024-02-07T10:54:15.000Z"} |
json
{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "ENABLED"
}1
2
3
4
5
6
2
3
4
5
6
json
{
"type": "and",
"queries": [
{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "ENABLED"
},
{
"type": "eq",
"field": "accountId",
"value": "4205"
}
]
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
Request Example
bash
curl -X 'POST' \
'https://api.product-live.com/v1/partners/find?size=10&page=0' \
-H 'accept: */*' \
-H 'X-Api-Key: <REDACTED>' \
-H 'Content-Type: application/json' \
-d '{
"type": "eq",
"caseSensitive": true,
"field": "status",
"value": "ENABLED"
}'1
2
3
4
5
6
7
8
9
10
11
2
3
4
5
6
7
8
9
10
11
Response example
json
{
"object": "list",
"data": [
{
"object": "partner",
"id": "5123",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-05-17T14:45:00.000Z",
"status": "ENABLED",
"accountId": "4205"
}
],
"totalElements": 1
}1
2
3
4
5
6
7
8
9
10
11
12
13
14
2
3
4
5
6
7
8
9
10
11
12
13
14